 OpenVPN Client Export Utility does not handle Spaces in Common Name (CN) of user certificate

03/04/2013 11:38 AM - Daniel Migowski

Status: Resolved Start date: 03/04/2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version: 2.0.1 Affected

Architecture:

 

Description

I am using the OpenVPN Client Export Utility v1.0.4, and tried to create an "archive" export (the one with the .ovpn-file and the two

certs).

This fails and instead of a zip file i get a file containing the following messages:

Warning: filesize(): stat failed for /tmp/pfsense-udp-1195-Daniel Migowski-config.zip in /usr/local/www/vpn_openvpn_export.php on

line 236

Warning: readfile(/tmp/pfsense-udp-1195-Daniel Migowski-config.zip): failed to open stream: No such file or directory in

/usr/local/www/vpn_openvpn_export.php on line 246

History

#1 - 07/11/2013 11:19 AM - Doktor Notor

This is still broken even with latest version.

#2 - 07/11/2013 12:40 PM - Jim Pingle

- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset commit:2916a9051a4e60c64ecd2732b652a12696d3295e.

#3 - 07/11/2013 12:49 PM - Jim Pingle

Of course the best fix is to not stick spaces in a CN. :-)

#4 - 07/11/2013 12:56 PM - Doktor Notor

Of course the best fix is to not stick spaces in a CN. :-)

 Kinda troublesome when you already have tens and tens of certificates handed out. :-) FIXED, all good now. Thanks!

#5 - 07/11/2013 12:57 PM - Jim Pingle

- Status changed from Feedback to Resolved
